Skip to content
Docs

Portfolio Manager/Loan Tape V2

List layouts

GET/external/secure/api/v2/portfolio/layouts
Request
curl -X GET \
  "https://figure.com/external/secure/api/v2/portfolio/layouts" \
  -H "apikey: $FIGURE_API_KEY"

Query parameters

  • assetTypestring

    Asset type to fetch compatible layouts for. Must provide originatorId if using

  • originatorIdstring<uuid>

    Originator id to fetch compatible layouts for. Must provide if using assetType query param

  • assetGroupstring

    Name of asset group to fetch compatible layouts for

Headers

  • apikeystring

    Provided key used to access the application's api

Responses

200List of available layouts for the given asset typearray of strings

Returns array of strings.

Response
[
  "string"
]